<div align="center">
<img alt="Unity" src="https://img.shields.io/badge/unity%20-%23323330.svg?&style=for-the-badge&logo=unity&logoColor=white"/> 
</div>

<div align="center">
  <img alt="C#" src="https://img.shields.io/badge/csharp%20-%23323330.svg?&style=for-the-badge&logo=csharp&logoColor=white"/>   
  <img alt="HTML5" src="https://img.shields.io/badge/html5%20-%23323330.svg?&style=for-the-badge&logo=html5&logoColor=white"/>
  <img alt="CSS3" src="https://img.shields.io/badge/css3%20-%23323330.svg?&style=for-the-badge&logo=css3&logoColor=white"/>
  <img alt="Python" src="https://img.shields.io/badge/python%20-%23323330.svg?&style=for-the-badge&logo=python&logoColor=white"/>
 
</div>

<div align="center">
 <img alt="Flask" src="https://img.shields.io/badge/flask%20-%23323330.svg?&style=for-the-badge&logo=flask&logoColor=white"/>
</div>

# Flask-Client-Manager

## How to Run

1. Install Flask:

   ```bash
   pip install flask
   
2. Run `app.py`.

3. Open a web browser and go to [http://127.0.0.1:5000](http://127.0.0.1:5000).

## Deployment Options

- Web Deployment: Debug Mode
- Unity WebGL Deployment (Requires online hosting, not local server)
- Windows Deployment: 32-bit and 64-bit
- Linux Deployment
- macOS Deployment
- iOS Deployment
- Android Deployment
- PlayStation Deployment
- Xbox Deployment
- Nintendo Switch Deployment

## Additional Information

### Integrated Development Environments (IDEs)

- Dreamweaver
- Visual Studio

### Software and Tools

- DBeaver
- Unity 2021
- Command Prompt

### Programming Languages

- Python
- HTML + CSS
- Unity C#

### Database Technologies

- SQLite
- .json format

### Server Technology

- Flask (Python-based web server)

### Templating Engine

- Jinja

**Note:** Data extraction from the .json file is facilitated through integration with Unity C#.
